> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Set Group Custom Fields > Set custom fields for the private channel. These custom fields are not displayed on the workspace UI. Permission required: `edit-room` ### Changelog | Version | Description | | ------- | ----------- | | 0.62.0 | Added | ## OpenAPI ````json POST /api/v1/groups.setCustomFields { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/groups.setCustomFields": { "post": { "tags": [ "Groups" ], "summary": "Set Group Custom Fields", "description": "Set custom fields for the private channel. These custom fields are not displayed on the workspace UI.\nPermission required: `edit-room`\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n| 0.62.0 | Added |", "operationId": "post-api-v1-groups.setCustomFields", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "roomId": { "type": "string", "description": "The private group's ID. Alternatively, use the `roomName` parameter and provide the room's name as the value. You can find the IDs by using any of the following endpoints:\n* Get List of User Groups: This endpoint returns all private channels in the workspace, if you have the required permissions to view them.\n* Get Groups: This endpoint returns the private channels that you are a member of.", "example": "euzoT67Gx6nXcn66M" }, "customFields": { "type": "object", "description": "The custom fields to set for the private group." } }, "required": [ "roomId", "customFields" ] }, "examples": { "Example": { "value": { "roomId": "euzoT67Gx6nXcn66M", "customFields": { "company": "sell-and-more" } } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "group": { "type": "object", "properties": { "_id": { "type": "string" }, "fname": { "type": "string" }, "_updatedAt": { "type": "string" }, "name": { "type": "string" }, "t": { "type": "string" }, "msgs": { "type": "integer" }, "usersCount": { "type": "integer" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "ts": { "type": "string" }, "ro": { "type": "boolean" }, "sidepanel": { "type": "object", "properties": { "items": { "type": "array", "items": { "type": "string" } } } }, "teamId": { "type": "string" }, "teamMain": { "type": "boolean" }, "rolePrioritiesCreated": { "type": "integer" }, "lastMessage": { "type": "object", "properties": { "_id": { "type": "string" }, "rid": { "type": "string" }, "msg": { "type": "string" }, "ts": { "type": "string" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "_updatedAt": { "type": "string" }, "urls": { "type": "array", "items": { "type": "object", "properties": {} } }, "mentions": { "type": "array", "items": { "type": "object", "properties": {} } }, "channels": { "type": "array", "items": { "type": "object", "properties": {} } }, "md": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "string" } } } } } } } } }, "lm": { "type": "string" }, "encrypted": { "type": "boolean" }, "e2eKeyId": { "type": "string" }, "retention": { "type": "object", "properties": { "enabled": { "type": "boolean" }, "overrideGlobal": { "type": "boolean" } } }, "announcement": { "type": "string" }, "announcementDetails": { "type": "string" }, "customFields": { "type": "object", "properties": { "company": { "type": "string" } } } } }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "group": { "_id": "66c88dae237405fc05fc1f06", "fname": "api-team2", "_updatedAt": "2025-11-20T08:26:12.813Z", "name": "api-team2", "t": "p", "msgs": 17, "usersCount": 2, "u": { "_id": "C38WSSzrGd2NCjzqJ", "username": "test.cat", "name": "test.cat" }, "ts": "2024-08-23T13:25:02.959Z", "ro": false, "sidepanel": { "items": [ "discussions" ] }, "teamId": "66c88daf237405fc05fc1f08", "teamMain": true, "rolePrioritiesCreated": 2, "lastMessage": { "_id": "3yXev48EfPnBwfvDN", "rid": "66c88dae237405fc05fc1f06", "msg": "hello world", "ts": "2025-10-28T06:32:52.861Z", "u": { "_id": "C38WSSzrGd2NCjzqJ", "username": "test.cat", "name": "Test Cat" }, "_updatedAt": "2025-10-28T06:32:52.983Z", "urls": [], "mentions": [], "channels": [], "md": [ { "type": "PARAGRAPH", "value": [ { "type": "PLAIN_TEXT", "value": "hello world" } ] } ] }, "lm": "2025-10-28T06:32:52.861Z", "encrypted": false, "e2eKeyId": "8ee4c64e1012", "retention": { "enabled": false, "overrideGlobal": false }, "announcement": "testing announcement", "announcementDetails": null, "customFields": { "company": "sell-and-more" } }, "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "The bodyParam \"customFields\" is required with a type like object." } }, "Example 2": { "value": { "success": false, "error": "The parameter \"roomId\" or \"roomName\" is required [error-room-param-not-provided]", "errorType": "error-room-param-not-provided" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````